import { createRouter, createWebHistory } from 'vue-router'
import UserView from '../views/UserView.vue'
import PageNotFound from '../views/PageNotFound.vue'
import PrivacyPageView from '../views/PrivacyPageView.vue'
import HomepageView from '../views/HomepageView.vue'
import CategoryView from '../views/CategoryView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      component: HomepageView
    },
    {
      path: '/game/:game',
      component: CategoryView
    },
    {
      path: '/privacy',
      name: 'about',
      component: PrivacyPageView
    },
    {
      path: '/:username',
      component: UserView
    },
    { path: '/:pathMatch(.*)*', component: PageNotFound }
  ]
})

export default router
